Bug 466280 - appliance-creator fails to create swap space if the swap partition is specified as separate part
appliance-creator fails to create swap space if the swap partition is specifi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 11:12 EDT by David Huff
Modified: 2010-06-28 06:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:45:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huff 2008-10-09 11:12:06 EDT
Description of problem:
appliance-creator fails to create swap space if the swap partition is specified as separate part

Version-Release number of selected component (if applicable):


How reproducible:

part /      --ondisk=sda --fstype=ext3 --size=2000
part swap   --ondisk=sdb --fstype=swap --size=512

 fails b/c it tries mkfs.swap which doesn't exist
 interestingly enough, works if all is on one disk!

  
Actual results:


Expected results:


Additional info:
Comment 1 John Poelstra 2008-10-09 18:15:36 EDT
This bug has been triaged
Comment 2 David Huff 2008-10-28 12:00:39 EDT
additional info:

Formatting disks
Initializing partition table for /dev/loop0
[?1034hInitializing partition table for /dev/loop1
[?1034hAssigning partitions to disks
Assigned / to sda1 at 0 at size 550
Assigned swap to sdb1 at 0 at size 512
Creating partitions
Add primary part at 0 of size 550
[?1034hError: Error informing the kernel about modifications to partition /dev/loop0p1 -- Invalid argument.  This means Linux won't know about any changes you made to /dev/loop0p1 until you reboot -- so you shouldn't mount it or use it in any way before rebooting.
Warning: The kernel was unable to re-read the partition table on /dev/loop0 (Invalid argument).  This means Linux won't know anything about the modifications you made until you reboot.  You should reboot your computer before doing anything with /dev/loop0.
Add primary part at 0 of size 512
[?1034hError: Error informing the kernel about modifications to partition /dev/loop1p1 -- Invalid argument.  This means Linux won't know about any changes you made to /dev/loop1p1 until you reboot -- so you shouldn't mount it or use it in any way before rebooting.
Warning: The kernel was unable to re-read the partition table on /dev/loop1 (Invalid argument).  This means Linux won't know anything about the modifications you made until you reboot.  You should reboot your computer before doing anything with /dev/loop1.
Dev loop0p1: /dev/loop01 -> /dev/mapper/loop0p1
Adding partx mapping for /dev/loop0
Dev loop1p1: /dev/loop11 -> /dev/mapper/loop1p1
Adding partx mapping for /dev/loop1
['/', 'swap']
Formating ext3 filesystem on /dev/loop01
Filesystem label=/
mke2fs 1.40.8 (13-Mar-2008)
Warning: 256-byte inodes not usable on older systems
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
33600 inodes, 134277 blocks
1342 blocks (1.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=138412032
5 block groups
32768 blocks per group, 32768 fragments per group
6720 inodes per group
Superblock backups stored on blocks: 
	32768, 98304

Writing inode tables: 0/51/52/53/54/5done                            
Creating journal (4096 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 34 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
Tuning filesystem on /dev/loop01
tune2fs 1.40.8 (13-Mar-2008)
Setting maximal mount count to -1
Setting interval between checks to 0 seconds
Mounting /dev/loop01 at /var/tmp/imgcreate-MuRJzJ/install_root/
Setting up swapspace version 1, size = 511995 kB
no label, UUID=b202dca2-a695-4b05-9be2-decc97cde2a7
Writing mkinitrd config /var/tmp/imgcreate-MuRJzJ/install_root/etc/sysconfig/mkinitrd
Comment 3 David Huff 2008-10-28 13:32:23 EDT
Build Seems to complete fine, and the swap disk sdb does seem to get mounted:

$ cat /proc/swaps 
Filename				Type		Size	Used	Priority
/dev/sdb1         partition	499992	0	-1
Comment 4 Bug Zapper 2008-11-25 22:42:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 03:32:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Eduard Benes 2009-11-18 04:13:28 EST
The problem seems to be still present on F11, can't create a working appliance.
Changing Fedora version to '11'.

# appliance-creator --name caps --config capability.ks
Error: Error informing the kernel about modifications to partition /dev/loop0p1 -- Invalid argument.  This means Linux won't know about any changes you made to /dev/loop0p1 until you reboot -- so you shouldn't mount it or use it in any way before rebooting.
Warning: The kernel was unable to re-read the partition table on /dev/loop0 (Invalid argument).  This means Linux won't know anything about the modifications you made until you reboot.  You should reboot your computer before doing anything with /dev/loop0.
['/']
mke2fs 1.41.4 (27-Jan-2009)
Filesystem label=/
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
42720 inodes, 170682 blocks
1706 blocks (1.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=176160768
6 block groups
32768 blocks per group, 32768 fragments per group
7120 inodes per group
Superblock backups stored on blocks: 
	32768, 98304, 163840

Writing inode tables: done                            
Creating journal (4096 blocks): done
Writing superblocks and filesystem accounting information: done
 ...

# rpm -qf `which appliance-creator`
appliance-tools-004.4-2.fc11.noarch
Comment 7 Bug Zapper 2010-04-27 08:15:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:45:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.